%define name	e3
%define version	2.6.2
%define release	1mdk

Summary:	E3 is a tiny editor, well suited for rescue disks
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors 
URL:		http://www.sax.de/~adlibit
Source0:	http://www.sax.de/~adlibit/%{name}-%{version}.tar.bz2
Provides:	editor
BuildRequires:	nasm
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
E3 is teeny tiny editor that doesn't depend on any libs.
e3 uses subset of wordstar|emacs|pico|vi|nedit commands.
Author: Albrecht Kleine <kleine3_at_ak_sax_de>

%prep

%setup -q -n %{name}-%{version}

%build

# this was the only way i was able to compile it...
%make debug

# run the tests
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m755 e3 %{buildroot}%{_bindir}/e3
install -m644 e3.man %{buildroot}%{_mandir}/man1/e3.1

# fix those softlinks
pushd %{buildroot}%{_bindir}
    for i in e3em e3ne e3pi e3vi e3ws; do 
	ln -snf e3 ${i}
    done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README ChangeLog e3.html
%{_bindir}/e3
%{_bindir}/e3em
%{_bindir}/e3ne
%{_bindir}/e3pi
%{_bindir}/e3vi
%{_bindir}/e3ws 
%{_mandir}/man1/e3*.bz2

%changelog
* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-1mdk
- 2.6.2
- make it compile...
- run the tests

* Fri Jan 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-2mdk
- rpmlint fixes

* Fri Jan 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Thu Aug 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.43-1mdk
- 2.43
- misc spec file fixes

* Mon Mar 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.41-1mdk
- 2.41

* Mon Apr 29 2002 chipaux <chipaux@mandrakesoft.com> 2.33-1mdk
- First Mandrake Release
